# openapi
Download API for YouTube videos with Telegram integration.
<br>
- <ins>[API Support](https://t.me/MassbotsDevTeamBot)</ins>
- <ins>[Terms of service](https://telegra.ph/massbotsdl-08-25)</ins>
- <ins>[SDK for Go and Python](https://github.com/massbots/sdk)</ins>
- <ins>[Status page](https://uptime.massbots.xyz)</ins>

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.3.5
- Package version: 1.0.0
- Generator version: 7.8.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import openapi
from openapi.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.massbots.xyz
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi.Configuration(
    host = "https://api.massbots.xyz"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: Token
configuration.api_key['Token'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Token'] = 'Bearer'


# Enter a context with an instance of the API client
with openapi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = openapi.ApiGroup(api_client)

    try:
        # Get balance
        api_response = api_instance.balance_get()
        print("The response of ApiGroup->balance_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ApiGroup->balance_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.massbots.xyz*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApiGroup* | [**balance_get**](docs/ApiGroup.md#balance_get) | **GET** /balance | Get balance
*DownloadGroup* | [**dl_video_id_cached_f_get**](docs/DownloadGroup.md#dl_video_id_cached_f_get) | **GET** /dl/video/{id}/cached/{f} | Get cached video
*DownloadGroup* | [**dl_video_id_download_f_get**](docs/DownloadGroup.md#dl_video_id_download_f_get) | **GET** /dl/video/{id}/download/{f} | Download video
*DownloadGroup* | [**dl_video_id_get**](docs/DownloadGroup.md#dl_video_id_get) | **GET** /dl/video/{id} | Get video formats
*YoutubeGroup* | [**yt_channel_id_get**](docs/YoutubeGroup.md#yt_channel_id_get) | **GET** /yt/channel/{id} | Get channel
*YoutubeGroup* | [**yt_search_get**](docs/YoutubeGroup.md#yt_search_get) | **GET** /yt/search | Search videos
*YoutubeGroup* | [**yt_video_id_get**](docs/YoutubeGroup.md#yt_video_id_get) | **GET** /yt/video/{id} | Get video


## Documentation For Models

 - [ApiBalance](docs/ApiBalance.md)
 - [ApiError](docs/ApiError.md)
 - [DlFileID](docs/DlFileID.md)
 - [DlResult](docs/DlResult.md)
 - [DlVideo](docs/DlVideo.md)
 - [DlVideoFormat](docs/DlVideoFormat.md)
 - [YtChannel](docs/YtChannel.md)
 - [YtThumbnail](docs/YtThumbnail.md)
 - [YtVideo](docs/YtVideo.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Token"></a>
### Token

- **Type**: API key
- **API key parameter name**: X-Token
- **Location**: HTTP header


## Author




